Skip to main content
GET
/
api
/
v1
/
ops
/
promotions
/
{promotionalId}
/
usage-history
List Promotion Usage History
curl --request GET \
  --url https://api.example.com/api/v1/ops/promotions/{promotionalId}/usage-history \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "promotionalUsageHistoryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "promotionalId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "checkoutId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "orderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "ticketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "validatedRuleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "originalAmount": 123,
      "discountAmount": 123,
      "finalAmount": 123,
      "discountValue": 123,
      "appliedRuleSnapshot": {},
      "appliedAt": "2023-11-07T05:31:56Z",
      "reversedAt": "2023-11-07T05:31:56Z",
      "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "page": 1,
    "limit": 20,
    "total": 125,
    "totalPages": 7
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

promotionalId
string<uuid>
required

Promotion identifier

Example:

"0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a"

Query Parameters

limit
number
default:10

Items per page

Required range: 1 <= x <= 100
Example:

10

page
number
default:1

Page number

Required range: x >= 1
Example:

1

status
enum<string>

Usage status.

Available options:
APPLIED,
REVERSED
sortBy
enum<string>
default:appliedAt

Field to sort by

Available options:
appliedAt,
createdAt
Example:

"appliedAt"

sortOrder
enum<string>
default:desc

Sort order

Available options:
asc,
desc
Example:

"desc"

fields
string

Comma-separated list of fields to include in the response. Supports dot notation for nested projection (e.g. id,name,user.email,trips.route.id). Unknown fields are silently dropped.

Response

OK

data
object[]
required
meta
object
required

Pagination metadata